import { Component } from 'react';
import { StyleProp, TextStyle, ViewStyle } from 'react-native';
import { ReviewIndicatorProps } from './ReviewIndicator';
import { CommerceTypes } from '@brandingbrand/fscommerce';
export interface ProductMetadataProps extends CommerceTypes.Product {
    style?: StyleProp<ViewStyle>;
    brandStyle?: StyleProp<TextStyle>;
    titleStyle?: StyleProp<TextStyle>;
    reviewCountStyle?: StyleProp<TextStyle>;
    reviewIndicatorProps?: ReviewIndicatorProps;
    priceStyle?: StyleProp<TextStyle>;
    salePriceStyle?: StyleProp<TextStyle>;
    originalPriceStyle?: StyleProp<TextStyle>;
}
export declare class ProductMetadata extends Component<ProductMetadataProps> {
    renderBrand(): JSX.Element;
    renderTitle(): JSX.Element;
    renderPrice(): JSX.Element;
    renderReviews(): JSX.Element;
    render(): JSX.Element;
}
